﻿//---------------------------------------------------------------------
// <copyright file="ResourceType.cs" company="Microsoft">
//    Copyright (c) Microsoft Corporation.  All rights reserved.
//    
//    The use and distribution terms for this software are covered by the
//    Common Public License 1.0 (http://opensource.org/licenses/cpl.php)
//    which can be found in the file CPL.TXT at the root of this distribution.
//    By using this software in any fashion, you are agreeing to be bound by
//    the terms of this license.
//    
//    You must not remove this notice, or any other, from this software.
// </copyright>
// <summary>
// Part of the Deployment Tools Foundation project.
// </summary>
//---------------------------------------------------------------------

namespace Microsoft.Deployment.Resources
{
    using System.Diagnostics.CodeAnalysis;

    /// <summary>
    /// Identifies a predefined Win32 resource type.
    /// </summary>
    [SuppressMessage("Microsoft.Design", "CA1027:MarkEnumsWithFlags")]
    public enum ResourceType : int
    {
        // Silence warnings about doc-comments
        #pragma warning disable 1591

        None          = 0,
        Cursor        = 1,
        Bitmap        = 2,
        Icon          = 3,
        Menu          = 4,
        Dialog        = 5,
        String        = 6,
        FontDir       = 7,
        Font          = 8,
        Accelerator   = 9,
        RCData        = 10,
        MessageTable  = 11,
        GroupCursor   = 12,
        GroupIcon     = 14,
        Version       = 16,
        DialogInclude = 17,
        PlugPlay      = 19,
        Vxd           = 20,
        [SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Ani")]
        AniCursor     = 21,
        [SuppressMessage("Microsoft.Naming", "CA1704:IdentifiersShouldBeSpelledCorrectly", MessageId = "Ani")]
        AniIcon       = 22,
        Html          = 23,
        Manifest      = 24,

        #pragma warning restore 1591
    }
}

